commit:     1cfaca0f99f610ebfd1ee714d9672a5d32d9b6a6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 16 03:45:17 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 16 04:18:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cfaca0f

dev-python/s3transfer: Bump to 0.6.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/s3transfer/Manifest                |  1 +
 dev-python/s3transfer/s3transfer-0.6.2.ebuild | 43 +++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index e5047383151d..0e5d4f4c2dcb 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -1 +1,2 @@
 DIST s3transfer-0.6.1.tar.gz 132782 BLAKE2B 
30f3548d564e41023fd8806e8182427e0cce1d63bfb7ea9a50b5f9f41f2f84de7aaa7aea9f2e91729b94b665ebb79c3ab1f3abf322ec0e543bad7566fa07ebfb
 SHA512 
7db29037719b6ddc529b0c8c38ffbd2dbf5c8e54ec581748addf859dac24d363d3d411963f9a801db83fd26341204d411d7ec513c363b4f1e3cc2e44814e698a
+DIST s3transfer-0.6.2.tar.gz 132821 BLAKE2B 
0441b1270adbddcabcff6a6a62128d753d6faa50f590bab4d41ebb2e89aa27c40e2036d8fd7ae59392838e79b0d8b740423cb9d585361e85433f62415978487b
 SHA512 
2f52621fac81a9209f5d4bcfad0a861906e714d0159cb3776f5fbc1e9a4946072d4c4e969dfea2837c600ce1d0ba55c53c6c892b59950f0b910b29bdf9ab0cca

diff --git a/dev-python/s3transfer/s3transfer-0.6.2.ebuild 
b/dev-python/s3transfer/s3transfer-0.6.2.ebuild
new file mode 100644
index 000000000000..3d6214b0693a
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.6.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="
+       https://github.com/boto/s3transfer/
+       https://pypi.org/project/s3transfer/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux"
+
+RDEPEND="
+       >=dev-python/botocore-1.24.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       epytest tests/{unit,functional}
+}

Reply via email to